package de.duehl.basics.history;

public class HistoryHelper {

    /** Überprüft das Anzeigen der undo- und redo-Schalter. */
    public static void checkEnableHistory(History<?> history, HistoryStateDisplayer gui) {
        if (history.hasPrevious()) {
            gui.enableUndo();
        }
        else {
            gui.disableUndo();
        }

        if (history.hasNext()) {
            gui.enableRedo();
        }
        else {
            gui.disableRedo();
        }
    }

}
